MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
NfsCallback Class Referenceabstract

Callbacks for an asynchronous libnfs operation. More...

`#include <Callback.hxx>`

Inheritance diagram for NfsCallback:
[legend]

## Public Member Functions
virtual void | OnNfsCallback (unsigned status, void *data)=0
| The operation completed successfully. More...
virtual void | OnNfsError (std::exception_ptr &&e)=0
| An error has occurred. More...

## Detailed Description

Callbacks for an asynchronous libnfs operation.

Note that no callback is invoked for cancelled operations.

Definition at line 32 of file Callback.hxx.

## Member Function Documentation

virtual void NfsCallback::OnNfsCallback | ( | unsigned | status,
|  | void * | data
| ) |  |
| pure virtual

The operation completed successfully.

virtual void NfsCallback::OnNfsError | ( | std::exception_ptr && | e | ) |
| pure virtual

An error has occurred.

The documentation for this class was generated from the following file:

- lib/nfs/Callback.hxx